Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038662
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Payment Aging Balance Reportmajoralways2018-05-30 17:572019-03-28 11:02
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision0f093201465e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Todmiguelez
Regression introduced in release
Summary

0038662: Prepayments registered for not invoiced orders should also be considered in the report

DescriptionCredit Payments are included in the report representing a decrease in the net debt of this customer. Prepayments registered against not invoiced orders mean the same so they should also be considered in the report
Steps To Reproduce0. Register Sales Order for any org and bp. Add any line and process
1. Run Add Payment process and prepay order
2. Run Receivables Aging Schedule report for this org and bp and realize that no information is shown
3. Register a Payment In document for this org and bp. Run Add Details process, set any amount and select Overpayment Action= Leave credit to be used later. Process Payment. If you run Receivables Aging Schedule report for this org and bp you will see this payment in CREDITS section
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0105075)
AtulOpenbravo (developer)
2018-06-11 22:57
edited on: 2018-06-11 23:20

Test Plan

- Register Sales Order for any org and bp. Add any line and process.
- Run Add Payment process and prepay order fully.
- Run Receivables Aging Schedule report for this org and bp, realize that prepayment against order information is shown in CREDITS SECTION.

- Register Purchase Order for any org and bp. Add any line and process.
- Run Add Payment process and prepay order fully.
- Run Payables Aging Schedule report for this org and bp, realize that prepayment against order information is shown in CREDITS SECTION.

(0105076)
AtulOpenbravo (developer)
2018-06-11 23:09
edited on: 2018-06-11 23:20

Test Plan

- Register Sales Order for any org and bp. Add any line and process.
- Run Add Payment process and prepay order fully.
- Run Receivables Aging Schedule report for this org and bp, realize that prepayment against order information is shown in CREDITS section.
- Add a partial Sales Invoice against the Sales Order in Step 1.
- Run Receivables Aging Schedule report for this org and bp, realize CREDITS section shows only the amount from prepayment amount related to order and not yet invoiced yet.

For eg:

Sales Order Amount 6449.30| Product | Qty 1000 | Prepayment 6449.30
Sales Invoice Amount 3224.65 | Product | Qty 500 | Total Paid 3224.65

Amount appearing in CREDITS section: Prepayment Amount - Total Paid in Invoice
= 6449.30 - 3224.65 = 3,224.65

(0105077)
AtulOpenbravo (developer)
2018-06-11 23:19

Test Plan

- Register Purchase Order for any org and bp. Add any line and process. Amount = 2147.75
- Run Add Payment process and prepay order partially. for eg: Prepayment Amount = 1000.
- Run Payables Aging Schedule report for this org and bp, realize that prepayment against order information is shown in CREDITS section.

- Add a complete Purchase Invoice against the Purchase Order in Step 1.
- Run Payables Aging Schedule report for this org and bp, realize outstanding invoice amount is shown under CUREENT section. Amount = 1147.75
(0105267)
dmiguelez (developer)
2018-06-19 18:21

Test Plan

- Register a Payment In document for any org and bp. Run Add Details process, set any amount and select Overpayment Action= Leave credit to be used later. Process Payment. If you run Receivables Aging Schedule report for this org and bp you will see this payment in CREDITS section.
- Register Sales Order for same org and bp and more amount than previously left as credit. Add any line and process.
- Create a Payment for the Sales Order using the previously created Credit Payment and some extra amount
- f you run Receivables Aging Schedule report for this org and bp you will see the payment of the Sales Order in CREDITS section
(0105268)
hgbot (developer)
2018-06-20 08:19

Repository: erp/devel/pi
Changeset: 0f093201465e878ae193f0797413f68a0186d60e
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Jun 13 19:14:06 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/0f093201465e878ae193f0797413f68a0186d60e [^]

Fixes Issue 38662:Prepayments registered for not invoiced orders should
also be considered in the report

Prepayment related with orders which are not yet invoiced
completely or are partially invoiced are considered under
CREDITs in Receivables and Payables Aging Schedule Reports.

---
M src/org/openbravo/erpCommon/ad_reports/AgingDao_data.xsql
---
(0105269)
dmiguelez (developer)
2018-06-20 08:20

Code Review + Testing Ok
(0105281)
hudsonbot (developer)
2018-06-20 12:23

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2c33dbbce384 [^]
Maturity status: Test
(0110713)
ngarcia (developer)
2019-03-28 11:02

Fixed in 3.0PR18Q3

- Issue History
Date Modified Username Field Change
2018-05-30 17:57 maite New Issue
2018-05-30 17:57 maite Assigned To => Triage Finance
2018-05-30 17:58 maite Issue Monitored: networkb
2018-05-31 16:33 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2018-06-11 22:57 AtulOpenbravo Status new => scheduled
2018-06-11 22:57 AtulOpenbravo Note Added: 0105075
2018-06-11 23:09 AtulOpenbravo Note Added: 0105076
2018-06-11 23:19 AtulOpenbravo Note Added: 0105077
2018-06-11 23:20 AtulOpenbravo Note Edited: 0105076 View Revisions
2018-06-11 23:20 AtulOpenbravo Note Edited: 0105075 View Revisions
2018-06-11 23:20 AtulOpenbravo Note Edited: 0105075 View Revisions
2018-06-19 18:21 dmiguelez Note Added: 0105267
2018-06-20 08:19 hgbot Checkin
2018-06-20 08:19 hgbot Note Added: 0105268
2018-06-20 08:19 hgbot Status scheduled => resolved
2018-06-20 08:19 hgbot Resolution open => fixed
2018-06-20 08:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0f093201465e878ae193f0797413f68a0186d60e [^]
2018-06-20 08:20 dmiguelez Review Assigned To => dmiguelez
2018-06-20 08:20 dmiguelez Note Added: 0105269
2018-06-20 08:20 dmiguelez Status resolved => closed
2018-06-20 12:23 hudsonbot Checkin
2018-06-20 12:23 hudsonbot Note Added: 0105281
2019-03-28 11:02 ngarcia Note Added: 0110713


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker